lua5.1 (5.1.5-8.1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:05:50 +0000

lua5.1 (5.1.5-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Export _IO_stdin_used in debian/version-script (see #816059).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Jul 2016 20:57:20 +0200

lua5.1 (5.1.5-8) unstable; urgency=medium

  * Symbols versioning 
  * Acknowledge NMU

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 11:01:41 +0200

lua5.1 (5.1.5-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761773.
  * liblua5.1-0-dev: Recommend libtool-bin.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 09:49:29 +0000

lua5.1 (5.1.5-7) unstable; urgency=medium

  * Patch to fix stack overflow in vararg functions (CVE-2014-5461) 
  * Add symlinks to .pc file in order to ease the life of developers:
    {lua-5.1,lua51} -> lua5.1 (Closes: #498416)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 27 Aug 2014 09:46:39 +0200

lua5.1 (5.1.5-6) unstable; urgency=low

  * Fix .pc file to not spit -L/usr/lib but -L/usr/lib/$DEB_HOST_MULTIARCH
    (Closes: #723483)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 17 Sep 2013 23:44:04 +0200

lua5.1 (5.1.5-5) unstable; urgency=low

  * Packaging moved to git
  * Fix typo in doc (Closes: #676696, thanks Andrey Gursky) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 Jul 2012 11:47:20 +0200

lua5.1 (5.1.5-4) unstable; urgency=low

  * Rename lua-deb-multiarch.h into lua5.1-deb-multiarch.h and install it in
    /usr/include/$DEB_HOST_MULTIARCH/ to make it available with no extra
    -I directive (Closes: #682234, #682183, #682299)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Jul 2012 18:43:50 +0200

lua5.1 (5.1.5-3) unstable; urgency=low

  * Install architecture dependent .h file in /usr/lib and fix .pc files
    accordingly to fix multiarch issues (Closes: #676695)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 16 Jul 2012 12:48:01 +0200

lua5.1 (5.1.5-2) unstable; urgency=low

  * Put in the pkg-config .pc file -DDEB_HOST_MULTIARCH so that including
    lua.h (and consequently luaconf.h) works fine even if one is not using
    debhelpers (Closes: #671286, LP: #977813)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 May 2012 14:34:16 +0200

lua5.1 (5.1.5-1) unstable; urgency=low

  * New upstream release (Closes: #647518)
  * Bump Standards-Version to 3.9.3 (no changes) 
  * Fix paths of debug symbols setting debian/compat to 9 (Closes: #650104)
  * Build-depend on debhelper >= 9
  * Update debian/copyright yeas to 2012 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2012 17:47:48 +0200

lua5.1 (5.1.4-12) unstable; urgency=low

  * Provide liblua5.1-c++.so and lua5.1-c++.pc to make it possible to C++
    programs to link against Lua and use the C++ exception mecanism.
    (Closes: #560139)
  * Add lua patch 5.1.4-4 fixing all known bugs of lua 5.1.4 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 25 Dec 2011 20:15:03 +0100

lua5.1 (5.1.4-11) unstable; urgency=low

  * Provides: lua, as lua50 does 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 07 Dec 2011 21:27:02 +0100

lua5.1 (5.1.4-10) unstable; urgency=low

  * Use -lpthread on lua5.1 only on hurd.

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Jul 2011 10:15:30 +0200

lua5.1 (5.1.4-9) unstable; urgency=low

  * Use -lpthread on hurd also for lua5.1, and not only liblua5.1

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Jul 2011 00:24:09 +0200

lua5.1 (5.1.4-8) unstable; urgency=low

  * cosmetic change to rules 
  * LDFLAGS=-lpthread on hurd, to allow to dlopen libs linked with pthreads 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Jul 2011 21:59:46 +0200

lua5.1 (5.1.4-7) unstable; urgency=low

  * Fixed dh_installdocs target for dpkg-buildpackage -B

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 12:42:45 +0200

lua5.1 (5.1.4-6) unstable; urgency=low

  * Switch to source-format 3.0 (quilt) 
  * Switch from CDBS to dh, thanks for all the fish CDBS!
  * Muti-Arch compatibility
  * Removed .la file and updated examples accordingly
  * Fixed flags in .pc file (Closes: #497942)
  * Added upstream patch-lua-5.1.4-3 (Closes: #586552)
  * Better short descriptions (Closes: #597081)
  * Update Standards-Version to 3.9.2 (no changes)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 19 Jul 2011 16:06:11 +0200

lua5.1 (5.1.4-5) unstable; urgency=low

  * Fixed #include directives and calls to luaopen_* in the examples. 
    Thanks Mike Pall for reporting that (private mail).

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 05 Nov 2009 20:44:38 +0100

lua5.1 (5.1.4-4) unstable; urgency=low

  * build-depend on libreadline-dev (and not libreadline5-dev) to
    help the transition to libreadline6 (Closes: #551162)
  * added README.source pointing to default dpatch README.source
  * made lintian happy build-depending on debhelper >= 5
  * updated standards-version to 3.8.3, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 16 Oct 2009 12:54:41 +0200

lua5.1 (5.1.4-3) unstable; urgency=low

  * added lua5.1-doc.doc-base Abstract: field.
  * -dbg package moved to section debug as suggested by lintian 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Apr 2009 13:06:23 +0200

lua5.1 (5.1.4-2) unstable; urgency=low

  * upload to unstable
  * updated standards version to 3.8.1 
  * added ${misc:Depends} to make lintian happy 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 Mar 2009 10:14:37 +0100

lua5.1 (5.1.4-1) experimental; urgency=low

  * New upstream bugfix release
  * Bumped version-standards to 3.8.0, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 03 Sep 2008 18:28:39 +0200

lua5.1 (5.1.3-1) unstable; urgency=low

  * New upstream release (bugfix only release)
  * Bumped version-standards to 3.7.3, no changes needed
  * Fixed Vcs-* fields in control
  * Added Homepage: field in control and removed hand-made links to the lua
    website
  * set priority of -dbg package to extra

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 26 Jan 2008 16:28:55 +0100

lua5.1 (5.1.2-4) unstable; urgency=low

  * Added dependency of liblua5.1-0-dbg on liblua5.1-0 (= ${binary:Version})
    as recommended by the developer reference section 6.7.9.
    This sould also prevent deborphan from considering it for removal (Closes: #446531).

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 14 Oct 2007 15:03:49 +0200

lua5.1 (5.1.2-3) unstable; urgency=low

  * Patch from upstream to fix assignement bug in lparser.c
    See: http://lua-users.org/lists/lua-l/2007-07/msg00617.html

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 01 Aug 2007 12:34:19 +0200

lua5.1 (5.1.2-2) unstable; urgency=low

  * Added -dbg package (Closes: #434815)
  * Made control file binNMU safe

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 27 Jul 2007 18:08:50 +0100

lua5.1 (5.1.2-1) unstable; urgency=low

  * New upstream release, lua5.1.2
  * Remove build workaround for fixed cdbs bug

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2007 20:26:49 +0200

lua5.1 (5.1.1-2) unstable; urgency=low

  * Added a proper watch file.
  * Fixed URL in copyright.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 10 Sep 2006 14:24:26 +0200

lua5.1 (5.1.1-1) unstable; urgency=low

  [ John V. Belmonte ]
  * New upstream version, lua5.1.1
  * Add README.Debian to all packages.
  * Small fix to example makefile.
  * Improvements to regression test.

  [ Enrico Tassi ]
  * Removed build-essential from Build-Depends (Closes: #366854)
  * Confirm Debian policy version 3.7.2.

 -- John V. Belmonte <jbelmonte@debian.org>  Tue, 13 Jun 2006 23:01:14 -0400

lua5.1 (5.1-1) unstable; urgency=low

  [ Enrico Tassi ]
  * New upstream release, lua5.1-final

  [ John V. Belmonte ]
  * Set lua and luac alternatives priority higher than other Lua packages.
  * Fix man page symlinks of alternatives.
  * Give up "liblua-?.so" variations in package.cpath.
  * Add package regression test.

 -- John V. Belmonte <jbelmonte@debian.org>  Sat, 18 Feb 2006 09:49:27 -0500

lua5.1 (5.0.103-1) unstable; urgency=low

  [ John V. Belmonte ]
  * New upstream release, lua5.1-rc4

  [ Enrico Tassi ]
  * Fixed linking problem with modules.  Now the command line intepreter
    exports all symbols so that .so modules loaded with require() do not need
    to be linked against the Lua library.  The was causing duplicated Lua
    library code, resulting in wasted space and run-time problems.

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 14 Feb 2006 19:17:16 +0100

lua5.1 (5.0.102-1) unstable; urgency=low

  * New upstream release, lua5.1-rc3
  * Change module path variables in .pc file to match upstream.

 -- John V. Belmonte <jbelmonte@debian.org>  Tue, 07 Feb 2006 21:44:08 -0500

lua5.1 (5.0.101-1) unstable; urgency=low

  * New upstream release, lua5.1-rc (2006-Jan-24)
  * Restore missing separator in package.path.
  * Restore package.path and package.cpath to use "lua/5.1" paths, matching
    upstream.
  * Remove /usr/lib paths from package.path to meet Debian policy.  Binary
    files (i.e. module .so's) should be under /usr/lib.
  * Add "module_dir" and "binary_modlue_dir" variables to .pc file so that
    pkg-config can be queried to find the correct place to install Lua modules.
  * Add module paths rationale to Debian README.
  * Change co-maintainer email address.

 -- John V. Belmonte <jbelmonte@debian.org>  Sat, 28 Jan 2006 09:32:31 -0500

lua5.1 (5.0.100-1) unstable; urgency=low

  * New upstream release, lua5.1-rc (2006-Jan-11)
  * Fix build error at renaming of man files.  (Closes: #349435)
  * Add debhelper token to maintainer scripts to make lintian happy.

 -- John V. Belmonte <jbelmonte@debian.org>  Sun, 22 Jan 2006 15:07:52 -0500

lua5.1 (5.0.99-2) unstable; urgency=low

  * Use examples/debian instead of examples.Debian to make dh_fixperms and
    lintian happy.
  * Work around libtool issues with --tag option.
  * Remove use of cdbs DEB_AUTO_UPDATE_DEBIAN_CONTROL, which is hated by
    ftp-masters and didn't work that well anyway.

 -- John V. Belmonte <jbelmonte@debian.org>  Mon,  2 Jan 2006 13:57:07 -0500

lua5.1 (5.0.99-1) unstable; urgency=low

  * Initial release, lua5.1-beta (Closes: #339935)

 -- John V. Belmonte <jbelmonte@debian.org>  Sun, 20 Nov 2005 19:55:05 -0500
